Bug 962143 - RFE: add support for resize of btrfs filesystems
RFE: add support for resize of btrfs filesystems
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
newui-container
:
: 1327003 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 20:26 EDT by Chris Murphy
Modified: 2016-04-14 04:32 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Murphy 2013-05-11 20:26:54 EDT
Description of problem:
Guide partitioning's "Reclaim Disk Space" dialog, under Reclaimable Space, lists Btrfs volumes as Not Resizeable.

Version-Release number of selected component (if applicable):
anaconda 19.25-1

How reproducible:
Always

Steps to Reproduce:
1. Create a single or multiple device Btrfs file system.
2. Run installer, and select the option to get to the Reclaim Disk Space dialog.
  
Actual results:
Btrfs volumes are listed as Not Resizeable.

Expected results:
Btrfs volumes can be grown or shrunk since 2008. If anaconda isn't going to support this, then the column should read "Resize Unsupported" rather than stating the file system isn't resizable.

Additional info:
Comment 1 Chris Murphy 2013-05-12 16:07:18 EDT
The bigger consequence of this bug, is that it's not possible to do back to back Guided Partitioning if Btrfs was used first and set to leave less than 6GB of unresizable space. Guided partitioning cannot proceed a 2nd time because there isn't enough space, and the installer presently lacks the ability to resize Btrfs volumes, or place /boot on Btrfs via Guided partitioning.
Comment 2 David Lehman 2013-05-14 11:03:06 EDT
Because a btrfs volume can span multiple block devices of arbitrary type the installer is not going to support resizing of btrfs for the foreseeable future. The workaround available to you is to do the resize yourself. You can do it before starting the installer or you can do it while the installer is running, as long as you make sure to tell the installer to rescan the storage setup afterwards.
Comment 3 Chris Murphy 2013-05-14 12:13:25 EDT
a.) "Not resizeable" is still incorrect in that it's untrue, and should be "Resize unsupported" or similar.

b.) Basically what you're saying is Guided partitioning isn't going to handle a side by side installation of a new version of Fedora along side the previous version if the file system is Btrfs. Whereas with ext4 this was possible.

It seems to me eventually something will have to give (resizing or /boot on Btrfs) before Btrfs as a file system can become a default; or the consequence is literally everyone will be relegated to using only Manual partitioning because Guided will be totally incapable of dealing with the situation.
Comment 4 David Lehman 2013-05-14 12:48:34 EDT
(In reply to comment #3)
> a.) "Not resizeable" is still incorrect in that it's untrue, and should be
> "Resize unsupported" or similar.

Pedantic. It's not resizable in the installer.

> 
> b.) Basically what you're saying is Guided partitioning isn't going to
> handle a side by side installation of a new version of Fedora along side the
> previous version if the file system is Btrfs. Whereas with ext4 this was
> possible.

Correct, given some assumptions about available disk space, other partitions, &c.

> 
> It seems to me eventually something will have to give (resizing or /boot on
> Btrfs) before Btrfs as a file system can become a default; or the
> consequence is literally everyone will be relegated to using only Manual
> partitioning because Guided will be totally incapable of dealing with the
> situation.

Eventually, yes -- something will have to change. We only have so much time per release to spend on btrfs' specialness.
Comment 5 Chris Murphy 2013-05-14 12:53:53 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > a.) "Not resizeable" is still incorrect in that it's untrue, and should be
> > "Resize unsupported" or similar.
> 
> Pedantic. It's not resizable in the installer.

It's not pedantic to be accurate. The present label implies the file system is not resizable more than it indicates an unwillingness by the installer. Resize unsupported more clearly attributes the limitation to the installer.
Comment 6 Fedora End Of Life 2015-01-09 17:06:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Admin XMLRPC Client 2015-09-28 16:24:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 David Lehman 2016-02-22 10:15:50 EST
Bugzilla just reminded me of this bug. I would like to go ahead and set expectations here. The installer team has no plans to work on BTRFS support in the foreseeable future. It is a low-priority area and there is a lot to be done elsewhere.
Comment 9 Vojtech Trefny 2016-04-14 04:32:21 EDT
*** Bug 1327003 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.